| Qore PgsqlSqlUtil Module Reference 1.5.2

Public Member Functions | Public Attributes | List of all members
PgsqlSqlUtil::PgsqlType Class Reference

represents a PostgreSQL type More...

Inherits Serializable.

## Public Member Functions
| constructor (string n_name, string n_src)
| creates the type from the supplied arguments
bool | equal (PgsqlType type)
| returns True if the types are equal
string | getCreateSql (*hash opt)
| returns a string that can be used to create the type in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the function from the database More...
string | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename a type More...

## Public Attributes
string | name
| the name of the type
string | src
| the source of the type

## Detailed Description

represents a PostgreSQL type

## Member Function Documentation

## ◆ getDropSql()

string PgsqlSqlUtil::PgsqlType::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the function from the database

Parameters

  opt | drop options; if force is True, then the `CASCADE` option will be used in the drop statement

## ◆ getRenameSql()

string PgsqlSqlUtil::PgsqlType::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename a type

Parameters

  new_name | the new name of the object
  opt | this argument is ignored